using System.ComponentModel.DataAnnotations;
using Siger.Middlelayer.Common.ModuleEnum;

namespace Siger.Middlelayer.WmsRepository.Request
{
    public class RequestAddBusiness
    {
        [Required(ErrorMessage = "TypeIDNotNull")]
        public int typeNameID { get; set; }
        [Required(ErrorMessage = "BusinessNameNotNull")]
        public string name { get; set; }
        [Required(ErrorMessage = "CompanyNameNotNull")]
        public string enterprise_name { get; set; }
        [Required(ErrorMessage = "AddressNotNull")]
        public string address { get; set; }
        [Required(ErrorMessage = "ContractNotNull")]
        public string linkman { get; set; }
        [Required(ErrorMessage = "PhoneNotNull")]
        public string phone { get; set; }
        [Required(ErrorMessage = "MobileNotNull")]
        public string mobile { get; set; }
        public string fax { get; set; }
        public string email { get; set; }
        public string homepage { get; set; }
        public string description { get; set; }
        /// <summary>
        /// 是否停用
        /// </summary>
        public bool statu { get; set; }

        [Required(ErrorMessage = "BusinessTypeNotNull")]
        public WMSEnum type { get; set; }
    }
}
